Company logoTrust Center Documentation
API v1 ReferenceIntegrationsNotionSync

Trigger Notion manual sync

Starts a manual Notion sync. Emits eventName `integrations.notion.manual_sync` and failureEventName `integrations.notion.manual_sync_failed`.

Starts a manual Notion sync. Emits eventName integrations.notion.manual_sync and failureEventName integrations.notion.manual_sync_failed.

POST
/api/v1/integrations/notion/sync

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/notion/sync" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "success": true
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?